#version 330 core
out vec4 outpColor;
in vec2 UV;
uniform sampler2D inputtex;
uniform vec2 resolution;
uniform vec2 splits;
uniform float maagi;

void main() {
	vec2 idx = floor(splits * UV) - (splits / vec2(2.0));
	vec2 jitter = idx * maagi / splits;
	outpColor = texture(inputtex, UV + jitter);
}
